Subject: Re: Need help creating Device tree source for custom MPC8548 board

From: Pieter <[email-masked]>
Date: Mon, 26 Jan 2009 16:55:47 +0200

Wolfgang Grandegger wrote:
> Pieter wrote:
>   
>> Hi all
>>
>> I have inherited  a cusom MPC 8548 board and am currently in the
>> processes of porting to U-Boot 2008 and Linux 2.6.27. The board worked
>> using U-boot 1.2 and linux 2.6.24 not using FDT.
>>
>> I have completed the U-boot source and am able to boot up to the point
>> where control is handed to Linux kernel , where the board hangs. This
>> lead me to believe that my device tree source is not accurate.
>>
>>     ## Transferring control to Linux (at address 00000000) ...
>>        Booting using OF flat tree...
>>
>> I assembled a minimal "equus.dts"  by using the tqm8458.dts and
>> sbc8548.dts as examples and the "Booting the Linux/ppc kernel without
>> Open Firmware" document supplied with Lnux 2.6.27. I am uncertain about
>> assigning interrupts to the variouse nodes.
>>
>> I compiled the blob using dtc Version: 1.1.0:
>> dtc -b 0 -V 17 -p 0x2000 -I dts -R 8 -O dtb -f
>> arch/powerpc/boot/dts/equus.dts > SDH0/tftp/equus.dtb
>>
>> can anyone please help? My device tree source is as follows:
<snip>

> Does this address match the one set by U-Boot? Also check all other
> addresses for PCI, etc.
>
> Wolfgang.
I have checked and confirmed that the addresses do match those in
U-Boot. I have also confirmed that the chosen node gets created and
values that set by U-boot does indeed get set. The boot posses gets
stuck when control is handed to Linux. ( the Linux has been compiled
with ARCH=powerpc ).

I have tried to do the post mortem debug as looking at log_buf in
memory, but the memory is still empty. Where should i focus my
debugging, on linux, u-boot or FDT side?

any other help would be appreciated. thanks pieter